package com.persagy.dmp.admin.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.admin.entity.AdminRole;
import com.persagy.dmp.admin.service.AdminRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
@RestController
@RequestMapping("/admin/system/role")
public class AdminRoleController {
	@Autowired
	private AdminRoleService service;
	
	@PostMapping("/query")
	public PagedResponse<AdminRole> query(@RequestBody JacksonCriteria criteria) {
		return service.query(criteria);
	}
	
	@PostMapping("/create")
	public MapResponse create(@RequestBody AdminRole param){
		return service.create(param);
	}
	
	@PostMapping("/update")
	public MapResponse update(@RequestBody AdminRole param){
		return service.update(param);
	}
	
	@PostMapping("/delete")
	public MapResponse delete(@RequestBody AdminRole param){
		return service.delete(param);
	}
	
}
