package com.persagy.dmp.rwd.datautils.service;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.rwd.model.DmpMessage;
import org.apache.commons.collections4.MapUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * @author: yaoll
 * @date: 2020-12-18
 * @verison: 1.0
 */
@Service
public class TransService {

	@Autowired
	private StringRedisTemplate redisTemplate;

	private static final String KEN_TRANS_DOING = "datautils_trans_doing_";
	private static final String KEN_TRANS_INFO = "datautils_trans_info_";

	public MapResponse importData(Map<String, String> params) {
		MapResponse resp = new MapResponse();
		String groupCode = MapUtils.getString(params, "groupCode");
		String projectId = MapUtils.getString(params, "projectId");
		String server = MapUtils.getString(params, "server");
		String password = MapUtils.getString(params, "password");

		String key = KEN_TRANS_DOING + projectId;
		Long increment = redisTemplate.opsForValue().increment(key, 1);
		if (increment > 1) {
			resp.setFail("当前项目正在处理中...");
			return resp;
		}
		redisTemplate.expire(key, 3, TimeUnit.HOURS);

		DmpMessage message = new DmpMessage("transProjectData", projectId);
		message.setGroupCode(groupCode);
		message.setProjectId(projectId);
		message.setStr1(server);
		message.setStr2(password);
		resp.add(message);
		return resp;
	}

	public MapResponse importInfo(Map<String, String> params) {
		MapResponse resp = new MapResponse();

		return resp;
	}

	/**
	 * 从数据平台迁移数据到中台
	 *
	 * @param groupCode
	 * @param projectId
	 * @param server
	 * @param password
	 */
	public void trans(String groupCode, String projectId, String server, String password) {

		String doingKey = KEN_TRANS_DOING + projectId;


		redisTemplate.delete(doingKey);
	}
}
