package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.FuncidDefChangeRecord;
import com.persagy.dmp.rwd.edit.service.FuncidDefChangeRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

@RestController
@RequestMapping("/rwdedit/funcidDef/changeRecord")
public class FuncidDefChangeRecordController {

    @Autowired
    private FuncidDefChangeRecordService service;

    @PostMapping("/query")
    public PagedResponse<FuncidDefChangeRecord> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody FuncidDefChangeRecord param) {
        return service.create(param);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody FuncidDefChangeRecord param) {
        return service.update(param);
    }

    @PostMapping("/delete")
    public MapResponse delete(@RequestBody List<Integer> idList) {
        return service.delete(idList);
    }

    @PostMapping("/download")
    public void download(@RequestBody List<Integer> idList, HttpServletResponse response) {
        service.download(response, idList);
    }

}
